Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.taglib
Class GroovyFindAllTag

    java.lang.Object
      org.codehaus.groovy.grails.web.taglib.GroovySyntaxTag
          org.codehaus.groovy.grails.web.taglib.GroovyFindAllTag

All Implemented Interfaces:
  GrailsTag

    public class GroovyFindAllTag

extends GroovySyntaxTag

Example: ``

${it}

Since:
  19-Jan-2006
Author:
  Graeme Rocher

Field Summary
`static String` | `TAG_NAME`

Fields inherited from class org.codehaus.groovy.grails.web.taglib.GroovySyntaxTag
`ATTRIBUTE_IN, ATTRIBUTE_VAR, attributes, ATTRIBUTES_STATUS, out, parser, tagContext`

Constructor Summary
`GroovyFindAllTag()`

Method Summary
`void` | `doEndTag()` process the end tag
`void` | `doStartTag()` Process the start tag
`String` | `getName()`
`boolean` | `isAllowPrecedingContent()` Tags must return the correct value to indicate whether or not non-whitespace content is permitted before this tag.
`boolean` | `isKeepPrecedingWhiteSpace()` Tags must return the correct value to indicate whether or not whitespace before this tag should be kept in the output.

Methods inherited from class org.codehaus.groovy.grails.web.taglib.GroovySyntaxTag
`calculateExpression, doEachMethod, init, setAttribute, setAttributes, setWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAG_NAME

    public static final String TAG_NAME

See Also:
  Constant Field Values

Constructor Detail

### GroovyFindAllTag

    public GroovyFindAllTag()

Method Detail

### isKeepPrecedingWhiteSpace

    public boolean isKeepPrecedingWhiteSpace()

  Description copied from class: `GroovySyntaxTag`

  Tags must return the correct value to indicate whether or not whitespace before this tag should be kept in the output.

  This is for tags that must follow other tags, such as g:else or g:elseif that do not allow content between them and the previous tag, and need to swallow the whitespace between them.

  Specified by:
    `isKeepPrecedingWhiteSpace` in class `GroovySyntaxTag`
  Returns:
    True if any whitespace immediately before the tag should be kept in the output - false if it is to be discarded

### isAllowPrecedingContent

    public boolean isAllowPrecedingContent()

  Description copied from class: `GroovySyntaxTag`

  Tags must return the correct value to indicate whether or not non-whitespace content is permitted before this tag.

  This is for tags that must follow other tags, such as g:else or g:elseif that do not allow content between them and the previous tag. It is simply used as a safety mechanism to trap incorrect usage of tags.

  Specified by:
    `isAllowPrecedingContent` in class `GroovySyntaxTag`
  Returns:
    True if any content is allowed immediately before the tag - false if it is an error to have such content before it

### doStartTag

    public void doStartTag()

  Description copied from interface: `GrailsTag`
  Process the start tag

### doEndTag

    public void doEndTag()

  Description copied from interface: `GrailsTag`
  process the end tag

### getName

    public String getName()

  Returns:
    The name of the tag

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project